Name:           python-yubihsm
Version:        3.1.0
Release:        %autorelease
Summary:        Library for communication with a YubiHSM 2 over HTTP or USB.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://developers.yubico.com/YubiHSM2/
Source:         %{pypi_source yubihsm}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'yubihsm' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-yubihsm
Summary:        %{summary}

%description -n python3-yubihsm %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-yubihsm http,usb


%prep
%autosetup -p1 -n yubihsm-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x http,usb


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-yubihsm -f %{pyproject_files}


%changelog
%autochangelog